import { ISerializeIterable, ISerializeObject, ISerializer } from './interface';
export declare class IdentitySerializer<T> implements ISerializer<T> {
    serializeAny?(value: any): T;
    serializeBoolean(value: boolean): T;
    serializeNumber(value: number): T;
    serializeBigInt(value: bigint): T;
    serializeString(value: string): T;
    serializeSymbol(value: symbol): T;
    serializeNull(): T;
    serializeIterable(_len?: number): ISerializeIterable<T>;
    serializeObject(_len?: number): ISerializeObject<T>;
    serializeClass(_name: string, _len?: number): ISerializeObject<T>;
}
